# description: Description comes here....

# Source function library.
. /etc/init.d/functions

start() {
    # code to start app comes here
    # insert any kernel modules prior to 
    # executing/spawning any process that depends
    # on the LKM
    
    hostname adsp-sc573-ezkit-xxx
    # NIC setup
    ifconfig eth0 169.254.20.13 netmask 255.255.0.0
    ethtool -C eth0 tx-frames 1
    ethtool -C eth0 tx-usecs 0
    ethtool -C eth0 rx-usecs 75
    # configuring PTP using ptp4l
    /usr/bin/sbin/ptp4l -i eth0 -s &
    # increase the irq priority
    chrt -r -p 99 9
    # AES67
    insmod /lib/modules/4.19.0-yocto-standard/extra/MergingRavennaALSA.ko
    cd /home/root/Butler/
    ./Merging_RAVENNA_Daemon &
    # only critical message are print in the console
    dmesg -n 1
    # SHARC firmware load and start
    cd ..
    mkdir /lib/firmware
    cp -- "/home/root/Firmware/SharcAES67.ldr" "/lib/firmware/SharcAES67.ldr"
    echo "Start SHARC core"
    cd /lib/firmware
    echo SharcAES67.ldr >/sys/class/remoteproc/remoteproc0/firmware
    echo start >/sys/class/remoteproc/remoteproc0/state
}

stop() {
    # code to stop app comes here 
    # example: killproc program_name
    # Kill all the process started in start() function
    # remove any LKM inserted using insmod in start()
    echo "stop"
}

case "$1" in 
    start)
       start
       ;;
    stop)
       stop
       ;;
    restart)
       stop
       start
       ;;
    status)
       # code to check status of app comes here 
       # example: status program_name
       ;;
    *)
       echo "Usage: $0 {start|stop|status|restart}"
esac

exit 0 
